Skip to main content
POST
/
api
/
2.0
/
contacts
Create Contact
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/contacts/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contact_type": "<string>",
  "credentials": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "middle_name": "<string>",
  "practice": 123,
  "accepting_insurance": true,
  "accepting_new_patients": true,
  "address": "<string>",
  "back_office_phone": "<string>",
  "cell_phone": "<string>",
  "city": "<string>",
  "direct_address": "<string>",
  "email": "<string>",
  "fax": "<string>",
  "is_elation_confirmed": true,
  "is_verified": true,
  "npi": "<string>",
  "org_name": "<string>",
  "other_specialties": [
    {
      "abbreviation": "<string>",
      "name": "<string>",
      "practice_created": 123
    }
  ],
  "phone": "<string>",
  "specialty_categories": [
    "<unknown>"
  ],
  "state": "<string>",
  "suite": "<string>",
  "zip": "<string>"
}
'
{
  "contact_type": "<string>",
  "credentials": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "middle_name": "<string>",
  "practice": 123,
  "accepting_insurance": true,
  "accepting_new_patients": true,
  "address": "<string>",
  "back_office_phone": "<string>",
  "cell_phone": "<string>",
  "city": "<string>",
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "direct_address": "<string>",
  "email": "<string>",
  "fax": "<string>",
  "id": 123,
  "is_elation_confirmed": true,
  "is_verified": true,
  "npi": "<string>",
  "org_name": "<string>",
  "other_specialties": [
    {
      "abbreviation": "<string>",
      "name": "<string>",
      "practice_created": 123,
      "category": {
        "name": "<string>",
        "abbreviation": "<string>",
        "created_date": "2023-11-07T05:31:56Z",
        "id": 123
      },
      "created_date": "2023-11-07T05:31:56Z",
      "id": 123
    }
  ],
  "phone": "<string>",
  "specialty": {
    "abbreviation": "<string>",
    "name": "<string>",
    "practice_created": 123,
    "category": {
      "name": "<string>",
      "abbreviation": "<string>",
      "created_date": "2023-11-07T05:31:56Z",
      "id": 123
    },
    "created_date": "2023-11-07T05:31:56Z",
    "id": 123
  },
  "specialty_categories": [
    "<unknown>"
  ],
  "state": "<string>",
  "suite": "<string>",
  "user": 123,
  "zip": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
contact_type
string
required

The type of contact. {physician, medical_group}

Maximum string length: 15
credentials
string
required

The credentials for the provider, e.g. MD or DO. Ignored if contact is a medical_group.

Maximum string length: 200
first_name
string
required

The first name of the contact. Ignored if contact is a medical_group.

Maximum string length: 50
last_name
string
required

The last name of the contact. Ignored if contact is a medical_group.

Maximum string length: 60
middle_name
string
required

The middle name of the contact. Ignored if contact is a medical_group.

Maximum string length: 50
practice
integer<int64>
required

The id of the practice that the contact belongs to.

accepting_insurance
boolean | null

Whether the contact indicates they accept insurance.

accepting_new_patients
boolean | null

Whether the contact indicates they are accepting new patients.

address
string

The specific address line registered for this contact.

Maximum string length: 200
back_office_phone
string
Maximum string length: 20
cell_phone
string

The mobile phone registered to the contact.

Maximum string length: 20
city
string

The city of the contact.

Maximum string length: 50
direct_address
string
Maximum string length: 500
email
string
fax
string
Maximum string length: 15
is_elation_confirmed
boolean | null

Whether the contact has been verified by someone on the elation team to be available for search within the application. Will always be false for any contact created within a practice.

is_verified
boolean | null

Whether the contact has been verified to be a available for search within the application. Will always be true for any contact created by a practice.

npi
string
org_name
string | null
Maximum string length: 100
other_specialties
object[]

The list of specialties after the primary specialty related to this contact.

phone
string
Maximum string length: 20
specialty
object

The id of the specialty of the contact.

specialty_categories
any[]
state
string

The state of the contact.

Maximum string length: 2
suite
string
Maximum string length: 20
zip
string
Maximum string length: 10

Response

201 - application/json
contact_type
string
required

The type of contact. {physician, medical_group}

Maximum string length: 15
credentials
string
required

The credentials for the provider, e.g. MD or DO. Ignored if contact is a medical_group.

Maximum string length: 200
first_name
string
required

The first name of the contact. Ignored if contact is a medical_group.

Maximum string length: 50
last_name
string
required

The last name of the contact. Ignored if contact is a medical_group.

Maximum string length: 60
middle_name
string
required

The middle name of the contact. Ignored if contact is a medical_group.

Maximum string length: 50
practice
integer<int64>
required

The id of the practice that the contact belongs to.

accepting_insurance
boolean | null

Whether the contact indicates they accept insurance.

accepting_new_patients
boolean | null

Whether the contact indicates they are accepting new patients.

address
string

The specific address line registered for this contact.

Maximum string length: 200
back_office_phone
string
Maximum string length: 20
cell_phone
string

The mobile phone registered to the contact.

Maximum string length: 20
city
string

The city of the contact.

Maximum string length: 50
created_date
string<date-time> | null
read-only

The timestamp when the contact was created.

deleted_date
string<date-time> | null
read-only

The timestamp when the contact was deleted.

direct_address
string
Maximum string length: 500
email
string
fax
string
Maximum string length: 15
id
integer
read-only
is_elation_confirmed
boolean | null

Whether the contact has been verified by someone on the elation team to be available for search within the application. Will always be false for any contact created within a practice.

is_verified
boolean | null

Whether the contact has been verified to be a available for search within the application. Will always be true for any contact created by a practice.

npi
string
org_name
string | null
Maximum string length: 100
other_specialties
object[]

The list of specialties after the primary specialty related to this contact.

phone
string
Maximum string length: 20
specialty
object

The id of the specialty of the contact.

specialty_categories
any[]
state
string

The state of the contact.

Maximum string length: 2
suite
string
Maximum string length: 20
user
integer
read-only

The user id of the contact.

zip
string
Maximum string length: 10